Give the API key making the request a new secret response 200 (application/json)
Used by Give the API key making the request a new secret.
Type: object.
additional properties: forbidden
Required fields apply within this object.
| Field | Required | Type | Description and constraints |
|---|---|---|---|
object | Yes | string | enum: ["admin_api_key"] |
api (source) | No | object | additional properties: forbidden |
id | Yes | string | format: uuid;
|
name | Yes | string | |
secretPreview | Yes | string | |
permissions (source) | Yes | array of string | minItems: 1 |
modes (source) | Yes | array of string | minItems: 1 |
projects (source) | Yes | anyOf (2 variants) | |
expiresAt (source) | Yes | anyOf (2 variants) | |
lastUsedAt (source) | Yes | anyOf (2 variants) | |
rotatedAt (source) | Yes | anyOf (2 variants) | |
previousSecretExpiresAt (source) | Yes | anyOf (2 variants) | |
client (source) | Yes | anyOf (2 variants) | |
createdAt | Yes | string | format: date-time;
|
secret | Yes | string |
additionalProperties: no JSON value.
Last updated on